# ***********************************************
# 
# !!!! DO NOT EDIT !!!!
# 
# This file was auto-generated by Build.PL.
# 
# ***********************************************
# 
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

=encoding utf8

=head1 NAME

Lucy::Plan::StringType - Non-tokenized text type.

=head1 SYNOPSIS

    my $type   = Lucy::Plan::StringType->new;
    my $schema = Lucy::Plan::Schema->new;
    $schema->spec_field( name => 'category', type => $type );

=head1 DESCRIPTION

Lucy::Plan::StringType is used for “exact-match” strings.

=head1 CONSTRUCTORS

=head2 new

    my $type = Lucy::Plan::StringType->new(
        boost    => 0.1,    # default: 1.0
        indexed  => 1,      # default: true
        stored   => 1,      # default: true
        sortable => 1,      # default: false
    );

=over

=item *

B<boost> - floating point per-field boost.

=item *

B<indexed> - boolean indicating whether the field should be indexed.

=item *

B<stored> - boolean indicating whether the field should be stored.

=item *

B<sortable> - boolean indicating whether the field should be
sortable.

=back

=head1 INHERITANCE

Lucy::Plan::StringType isa Lucy::Plan::TextType isa L<Lucy::Plan::FieldType> isa Clownfish::Obj.

=cut

